Advanced Threat Protection Settings - Create Or Update

Creates or updates a server's Advanced Threat Protection settings.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/flexibleServers/{serverName}/advancedThreatProtectionSettings/Default?api-version=2024-08-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

minLength: 3
maxLength: 63
pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

threatProtectionName
path True

ThreatProtectionName

pattern: ^[a-zA-Z0-9]+(-[a-zA-Z0-9]+)*

Name of the advanced threat protection settings.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
properties.state True

ThreatProtectionState

Specifies the state of the advanced threat protection, whether it is enabled, disabled, or a state has not been applied yet on the flexible server.

Responses

Name Type Description
200 OK

ServerThreatProtectionSettingsModel

Successfully set or update the server Threat Protection settings.

201 Created

ServerThreatProtectionSettingsModel

Successfully created the server Threat Protection settings.

202 Accepted

Accepted

Headers

Location: string

Other Status Codes

ErrorResponse

Error response describing why the operation of setting Threat Protection failed.

Security

azure_auth

Microsoft Entra OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Update a server's Threat Protection settings

Sample request

PUT https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/advancedThreatProtectionSettings/Default?api-version=2024-08-01

{
  "properties": {
    "state": "Enabled"
  }
}

Sample response

{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/advancedThreatProtectionSettings/Default",
  "name": "Default",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/advancedThreatProtectionSettings",
  "properties": {
    "state": "Enabled",
    "creationTime": "2024-08-01T18:30:22.123456Z"
  }
}
{
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/exampleresourcegroup/providers/Microsoft.DBforPostgreSQL/flexibleServers/exampleserver/advancedThreatProtectionSettings/Default",
  "name": "Default",
  "type": "Microsoft.DBforPostgreSQL/flexibleServers/advancedThreatProtectionSettings",
  "properties": {
    "state": "Enabled",
    "creationTime": "2024-08-01T18:30:22.123456Z"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ServerThreatProtectionSettingsModel

Advanced threat protection settings of the flexible server.

systemData

Metadata pertaining to creation and last modification of the resource.

ThreatProtectionName

Name of the advanced threat protection settings.

ThreatProtectionState

Specifies the state of the advanced threat protection, whether it is enabled, disabled, or a state has not been applied yet on the flexible server.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ServerThreatProtectionSettingsModel

Advanced threat protection settings of the flexible server.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.creationTime

string (date-time)

Specifies the creation time (UTC) of the policy.

properties.state

ThreatProtectionState

Specifies the state of the advanced threat protection, whether it is enabled, disabled, or a state has not been applied yet on the flexible server.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

ThreatProtectionName

Name of the advanced threat protection settings.

Value Description
Default

ThreatProtectionState

Specifies the state of the advanced threat protection, whether it is enabled, disabled, or a state has not been applied yet on the flexible server.

Value Description
Enabled
Disabled